From b86792ee204552213c7f5e280e70c60a3abf7ad6 Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Thu, 23 Apr 2020 12:17:02 +0800
Subject: [PATCH 49/77] virsh_attach_detach_disk: wait for few seconds after
 attach disk

ARM virtual machine uses the PCIE bus. After the QEMU analog device is
hot plugged in, the guest kernel will have a delay waiting for a few
seconds, and then load the device driver. The hot unplug time within this
delay will be ignored, so add wait time after attach disk.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py | 1 +
 1 file changed, 1 insertion(+)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py b/libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py
index 6d25b4d0..d067f5b5 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py
@@ -345,6 +345,7 @@ def run(test, params, env):
                                        debug=True).exit_status
     if test_systemlink_twice:
         # Detach lvm previously attached.
+        time.sleep(5)
         result = virsh.detach_disk(vm_ref, device_target, dt_options,
                                    debug=True)
         libvirt.check_exit_status(result)
-- 
2.23.0

